using System;
using System.Globalization;
using System.Resources;
using System.Threading;
using System.Web.UI;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                   Started Date  : 12-Aug-2007
* Module          : Generic Master                              Last Modified : 14-Aug-2007
* Programmer      : Arun Vinoth.T
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Masters_TA_UI_Masters_Generic_List : Base.BasePage
{
    ResourceManager rm;
    cls_Common objCommon = new cls_Common();
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        //get the culture info to set the language
        if (!Page.IsPostBack)
        {
            objCommon.menu("EmployeeMaster", "Generic ");
        }
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
    }
    private void LoadStrings(CultureInfo ci)
    {
        lbl_HeaderGeneric.Text = rm.GetString("Masters_Generic_Generic", ci);
        lbl_CityMaster.Text = rm.GetString("Masters_Generic_City", ci);
        lbl_CountryMaster.Text = rm.GetString("Masters_Generic_Country", ci);
        lbl_GradeMaster.Text = rm.GetString("Masters_Generic_Grade", ci);
        lbl_Religion.Text = rm.GetString("EmployeeMaster_Religion", ci);
        lbl_StateMaster.Text = rm.GetString("Masters_Generic_State", ci);
    }
}